# Class AbstractAppController

#### Hierarchy

- AbstractAppController

- Defined in src/controllers/AbstractAppController.js:85

#####
Index

### Constructors

constructor

### Properties

$scope
backgroundLayerMgr_
defaultLang
dimensions
displaywindowContent
displaywindowDraggableContainment
displaywindowHeight
displaywindowOpen
displaywindowTitle
displaywindowUrl
displaywindowWidth
drawFeatureLayer
filterSelectorActive
filterSelectorEnabled
gettextCatalog
gmfThemeManager
gmfThemes
gmfTreeManager_
gmfUser
hasEditableLayers
hasPrivateLayers
lang
langUrls
loading
loginActive
loginRedirectUrl
manageResize
map
mapToolsGroup
ngeoLocation
ngeoMapQuerent_
options
permalink_
postLoading
queryActive
resizeTransition
searchListeners
stateManager
tmhDynamicLocale
updateHasEditableLayers_

### Methods

initLanguage
setDefaultBackground_
switchLanguage

## Constructors

### constructor

- new AbstractAppController($scope: IScope, $injector: IInjectorService, mobile?: boolean): AbstractAppController

- Application abstract controller.

  Used functionalities:

  - `open_panel`: When set, contains the name of the panel to open upon loading an application. Note: although this is a list, only one can be defined.

  ### Ngdoc

  controller

  ### Ng Inject

  #### Parameters

  - ##### $scope: IScope

    Scope.

  - ##### $injector: IInjectorService

    Main injector.

  - ##### `Optional` mobile: boolean

    Is mobile.

  #### Returns AbstractAppController

  - Defined in src/controllers/AbstractAppController.js:85

## Properties

### $scope

$scope: IScope

- Defined in src/controllers/AbstractAppController.js:501

### backgroundLayerMgr_

backgroundLayerMgr_: MapBackgroundLayerManager

- Defined in src/controllers/AbstractAppController.js:457

### defaultLang

defaultLang: any

Default language

- Defined in src/controllers/AbstractAppController.js:513

### dimensions

dimensions: Object

- Defined in src/controllers/AbstractAppController.js:432

### displaywindowContent

displaywindowContent: string

- Defined in src/controllers/AbstractAppController.js:612
- Defined in src/controllers/AbstractAppController.js:653

### displaywindowDraggableContainment

displaywindowDraggableContainment: string

- Defined in src/controllers/AbstractAppController.js:658

### displaywindowHeight

displaywindowHeight: string

- Defined in src/controllers/AbstractAppController.js:574
- Defined in src/controllers/AbstractAppController.js:663

### displaywindowOpen

displaywindowOpen: boolean

- Defined in src/controllers/AbstractAppController.js:568
- Defined in src/controllers/AbstractAppController.js:668

### displaywindowTitle

displaywindowTitle: string

- Defined in src/controllers/AbstractAppController.js:567
- Defined in src/controllers/AbstractAppController.js:673

### displaywindowUrl

displaywindowUrl: string

- Defined in src/controllers/AbstractAppController.js:598
- Defined in src/controllers/AbstractAppController.js:678

### displaywindowWidth

displaywindowWidth: string

- Defined in src/controllers/AbstractAppController.js:571
- Defined in src/controllers/AbstractAppController.js:683

### drawFeatureLayer

drawFeatureLayer: FeatureOverlay

- Defined in src/controllers/AbstractAppController.js:246

### filterSelectorActive

filterSelectorActive: boolean

- Defined in src/controllers/AbstractAppController.js:384

### filterSelectorEnabled

filterSelectorEnabled: boolean

- Defined in src/controllers/AbstractAppController.js:377
- Defined in src/controllers/AbstractAppController.js:474

### gettextCatalog

gettextCatalog: gettextCatalog

The gettext catalog

- Defined in src/controllers/AbstractAppController.js:527

### gmfThemeManager

gmfThemeManager: any

- Defined in src/controllers/AbstractAppController.js:260

### gmfThemes

gmfThemes: any

Themes service

- Defined in src/controllers/AbstractAppController.js:272

### gmfTreeManager_

gmfTreeManager_: any

- Defined in src/controllers/AbstractAppController.js:265

### gmfUser

gmfUser: any

- Defined in src/controllers/AbstractAppController.js:405
- Defined in src/controllers/AbstractAppController.js:412
- Defined in src/controllers/AbstractAppController.js:415

### hasEditableLayers

hasEditableLayers: boolean

- Defined in src/controllers/AbstractAppController.js:302

### hasPrivateLayers

hasPrivateLayers: boolean

- Defined in src/controllers/AbstractAppController.js:352
- Defined in src/controllers/AbstractAppController.js:355

### lang

lang: string

- Defined in src/controllers/AbstractAppController.js:506
- Defined in src/controllers/AbstractAppController.js:739

### langUrls

langUrls: any

Languages URL

- Defined in src/controllers/AbstractAppController.js:520

### loading

loading: boolean

Checks if the themes are loaded

- Defined in src/controllers/AbstractAppController.js:279
- Defined in src/controllers/AbstractAppController.js:281

### loginActive

loginActive: boolean

- Defined in src/controllers/AbstractAppController.js:339
- Defined in src/controllers/AbstractAppController.js:420

### loginRedirectUrl

loginRedirectUrl: string

URL to redirect to after login success.

- Defined in src/controllers/AbstractAppController.js:318
- Defined in src/controllers/AbstractAppController.js:338
- Defined in src/controllers/AbstractAppController.js:345

### manageResize

manageResize: boolean

Whether to update the size of the map on browser window resize.

- Defined in src/controllers/AbstractAppController.js:621

### map

map: Map

- Defined in src/controllers/AbstractAppController.js:231

### mapToolsGroup

mapToolsGroup: string

- Defined in src/controllers/AbstractAppController.js:534

### ngeoLocation

ngeoLocation: StatemanagerLocation

Location service

- Defined in src/controllers/AbstractAppController.js:221

### ngeoMapQuerent_

ngeoMapQuerent_: MapQuerent

- Defined in src/controllers/AbstractAppController.js:486

### options

options: any

- Defined in src/controllers/AbstractAppController.js:89

### permalink_

permalink_: any

Permalink service

- Defined in src/controllers/AbstractAppController.js:297

### postLoading

postLoading: boolean

This property is set to `true` when the themes change after a successful login

- Defined in src/controllers/AbstractAppController.js:290

### queryActive

queryActive: boolean

The active state of the ngeo query directive.

- Defined in src/controllers/AbstractAppController.js:481

### resizeTransition

resizeTransition: number

- Defined in src/controllers/AbstractAppController.js:630

### searchListeners

searchListeners: SearchDirectiveListeners<olFeature<Geometry>>

Listeners passed to searchDirective.

- Defined in src/controllers/AbstractAppController.js:325

### stateManager

stateManager: StatemanagerService

- Defined in src/controllers/AbstractAppController.js:491

### tmhDynamicLocale

tmhDynamicLocale: IDynamicLocale

- Defined in src/controllers/AbstractAppController.js:496

### updateHasEditableLayers_

updateHasEditableLayers_: typeof __function

- Defined in src/controllers/AbstractAppController.js:307

## Methods

### initLanguage

- initLanguage(): void

- #### Returns void

  - Defined in src/controllers/AbstractAppController.js:744

### setDefaultBackground_

- setDefaultBackground_(theme: any): void

- #### Parameters

  - ##### theme: any

    Theme.

  #### Returns void

  - Defined in src/controllers/AbstractAppController.js:775

### switchLanguage

- switchLanguage(lang: string): void

- #### Parameters

  - ##### lang: string

    Language code.

  #### Returns void

  - Defined in src/controllers/AbstractAppController.js:732

Generated using TypeDoc